const _Http = getApp().globalData.http;
import currency from "../../utils/currency";
const CNY = value => currency(value, {
  symbol: "￥",
  precision: 2
}).format();
Page({
  data: {
    privacyFieldC: [],
    content: {
      pageNumber: 1,
      pageTotal: 1,
      pageSize: 20,
      where: {
        condition: "",
        convenient: "",
        begindate: "",
        enddate: ""
      }
    }
  },
  onLoad(options) {
    this.getList()
    this.setData({
      userrole: wx.getStorageSync('userrole')
    })

    try {
      let privacyFieldC = wx.getStorageSync('auth').worderdetails.forms.list.formcols.map(v => v.title);
      this.setData({
        privacyFieldC
      })
      console.log("privacyFieldC", privacyFieldC)
    } catch (error) {
      console.error(error)
    }
  },
  tabsChange({
    detail
  }) {
    this.data.content.where.convenient = detail.name
    this.getList(true)
  },
  /* 获取产品 */
  getList(init = false) {
    if (init.detail != undefined) init = init.detail;
    let content = this.data.content;
    if (init) content.pageNumber = 1;
    if (content.pageNumber > content.pageTotal) return;
    this.setListHeight();
    _Http.basic({
      "id": 20230508111703,
      content
    }).then(res => {
      console.log("订单列表", res)
      if (res.msg != '成功') return wx.showToast({
        title: res.msg,
        icon: "none"
      })
      this.selectComponent('#ListBox').RefreshToComplete();
      content.pageNumber = res.pageNumber + 1
      content.pageTotal = res.pageTotal

      let list = [];
      res.data.forEach(v => {
        let index = list.findIndex(item => item.sonum == v.sonum);
        v.amount = CNY(currency(v.price).multiply(v.qty));
        v.price = CNY(v.price);
        if (index != -1) {
          list[index].productList.push(v)
        } else {
          v.productList = []
          list[list.length] = v;
        }
      })
      this.setData({
        list: res.pageNumber == 1 ? list : this.data.list.concat(list),
        content
      })
    })
  },
  /* 修改查看日期 */
  changeDate(e) {
    this.data.content.where[e.currentTarget.dataset.name] = e.detail.value;
    this.getList(true)
  },
  initialize() {
    this.data.content.where.enddate = "";
    this.data.content.where.begindate = "";
    this.getList(true)
  },
  /* 搜索 */
  onSearch({
    detail
  }) {
    this.data.content.where.condition = detail;
    this.getList(true)
  },
  /* 设置页面高度 */
  setListHeight() {
    this.selectComponent("#ListBox").setHeight(".top", this);
  }
})